'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _babelTemplate = require('babel-template');

var _babelTemplate2 = _interopRequireDefault(_babelTemplate);

var _util = require('../util');

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var originalTemplate = (0, _babelTemplate2.default)('\n  NAME.map((PARAMS) => console.log(item))\n');

var loopSyntax = function loopSyntax(types, nodePath) {
  var children = _util2.default.getChildren(nodePath);
  var attributes = _util2.default.getAttributes(nodePath);

  var loopExpression = _util2.default.getAttribute(nodePath, 'data-for');
  if (!loopExpression) {
    throw new SyntaxError('data-for attribute not found!');
  }

  loopExpression = loopExpression.value.value;
  loopExpression = loopExpression.split(/ in /).map(function (variable) {
    return variable.trim();
  });

  if (loopExpression.length != 2) {
    throw new SyntaxError('data-for unknown syntax: A in B');
  }

  return nodePath;
};

exports.default = loopSyntax;